!     Last change:  ZZZ  16 Sep 2006   12:39 pm
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! subroutine to find the index for the maximum value of some vector x (length=n)
! -- assumes x is a strictly concave function
! -- Algorithm: starts searching upwards from some initial index ind0.
!               if function decreases, search upwards
!               stop searching when function stops increasing
!               returns indmax as index for maximum value of x
! -- Returns: indmax as index for maximum of x
! -- Generic: uses no modules


SUBROUTINE findmax(x,n,ind0,indmax)


IMPLICIT NONE


integer, intent(in):: n,ind0
double precision, intent(in):: x(n)
integer, intent(out):: indmax


integer:: i,tmp(1)
double precision:: xmax





indmax=ind0


! try searching upwards first
if (ind0 .lt. n .and. x(ind0) .lt. x(ind0+1)) then
  
  do i=ind0,n-1
    if (x(i+1) .lt. x(i)) then
          indmax=i
          exit
        endif
  enddo


else      ! search downards


  do i=ind0,2,-1
    if (x(i-1) .lt. x(i)) then
          indmax=i
          exit
        endif
  enddo


endif


! Simple check using maxloc function
!write(6,*) 'Comparing findmax ',indmax,' with maxloc ',maxloc(x)


!tmp = maxloc(x)
!indmax=tmp(1)


END SUBROUTINE
