!     Last change:  ZZZ  16 Sep 2006   12:39 pm
!module to declare all of the parameters that define the grid


MODULE mod_grid


IMPLICIT NONE
SAVE


! grid variables
integer, parameter:: nw=2000
double precision, parameter:: wmin=5.0d0*35.0d0*13.0d0,wmax=40.0d0*50.0d0*13.0d0,wdiff=(wmax-wmin)/(nw-1)
double precision::wgrid(nw)


END MODULE mod_grid



!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


!module for value functions, etc.
! (also includes grid variables from mod_grid)


MODULE mod_valfun


USE mod_grid


IMPLICIT NONE
SAVE


! Value functions and reservation wages
double precision:: U0,U1,W0(nw),W1(nw),Ru0,Ru1,Re1(nw)



END MODULE mod_valfun



!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


!module for parameters and distribution function


MODULE mod_param


USE mod_grid


IMPLICIT NONE
SAVE


! problem parameter vector 
integer, parameter:: npars=11
double precision:: lam0,lam1,delta,r,z,muw,sigw,eps,Pd,Pu,Pf


! distribution function
double precision:: fw(nw)



END MODULE mod_param



