!     Last change:  ZZZ  16 Sep 2006    3:11 pm

! Main program--sets up grid and calls solution subroutine


PROGRAM main



USE mod_grid
USE mod_param, ONLY: npars



IMPLICIT NONE


integer:: i
double precision:: lam0,lam1,delta,r,z,muw,sigw,eps,Pd,Pu,Pf
double precision:: par(npars)


!time variables
character:: date*8,time*10,zone*5
integer:: vals(8),time0,tottime



external controls


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


open(unit=11, file='solution.txt')
open(unit=12, file='params.txt')



!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


! Set up grid for wages


do i=1,nw
  wgrid(i) = wmin + wdiff*(dble(i)-1.0d0)
enddo


! Set parameter values


lam0  = 0.025  * 13.0d0
lam1  = 0.0082 * 13.0d0
delta = 0.0036 * 13.0d0
r     = 0.01d0
!z     = 5.0d0 * 30.0d0 * 13.0d0
z     = 800.0d0 * 3.0d0
muw   = 8.19d0 
sigw  = 0.496d0  ! muw and sigw yield a mean quarterly income of about $5,400 and SD of quarterly income of about $3,000
eps   = 0.1d0 * dexp(muw + 0.5d0*sigw**2)   ! difference in hc across types
Pd    = 0.2d0          ! prob of dropping a hc level when unemployed
Pu    = 0.3d0          ! prob of increasing a hc level when employed
Pf    = 0.2d0          ! prob hc is lost when switching jobs


par = (/ lam0,lam1,delta,r,z,muw,sigw,eps,Pd,Pu,Pf /)


!do i=1,npars
!  read(12,*) par(i)
!enddo



! Control problem


call date_and_time(date,time,zone,vals)
time0 = vals(5)*60*60 + vals(6)*60 + vals(7)



CALL controls(npars,par)




call date_and_time(date,time,zone,vals)


tottime = vals(5)*60*60 + vals(6)*60 + vals(7) - time0
write(11,*) ' '
write(11,*) 'total time in seconds: ',tottime


close(11)
close(12)
END







